<template>
  <div class="comment_item text-dark leading-160">
    <div class="flex space-x-3">
      <div class="user_status">
        <a href="javascript:;" class="avata_comment" target="_blank">
          <img
            src="/users/avatar-default-1.svg"
            alt="avatar"
            class="max-w-full"
          />
        </a>
      </div>
      <div class="flex-1 content-comment">
        <p class="full_content bg-body rounded-lg p-3 mb-2">
          <a href="javascript:;"><b class="font-semibold">Lê Hà Long</b></a>
          Tới lui vẫn thích thiết kế của Asus với Gigabyte, nhìn cái lap đơn
          giản mà vẫn tôn được cái chất Gaming.
        </p>
        <p class="block_like_web flex items-center space-x-4 text-sm">
          <a href="javascript:;" class="flex items-center space-x-1">
            <span>82</span>
            <svg-icon name="icon-like" class="w-4 h-4 text-gray-100"></svg-icon>
            <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
          </a>
          <a
            v-if="hassub && isShowsub != true"
            href="javascript:;"
            class="flex items-center space-x-1"
            @click="isShowsub = !isShowsub"
          >
            <svg-icon
              name="icon-reply"
              class="w-4 h-4 text-gray-100"
            ></svg-icon>
            <span class="font-medium text-sm text-dark-cyan">
              Xem 26 trả lời
            </span>
          </a>
        </p>
      </div>
    </div>
    <div
      v-if="hassub && isShowsub"
      class="sub_comment flex flex-col space-y-4 mt-5 border-solid border-l border-gray-light pl-13"
    >
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body rounded-lg p-3 mb-2">
              <a href="javascript:;">
                <b class="font-semibold">Nguyễn Đăng Linh</b>
              </a>
              Học tập mua con này thì ngon nhưng cần cái hub chuyển, kinh thật
              học mà mua hẳn 9300 :v
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body rounded-lg p-3 mb-2">
              <a href="javascript:;">
                <b class="font-semibold">Võ Minh Nhất</b>
              </a>
              <b class="font-semibold">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body rounded-lg p-3 mb-2">
              <a href="javascript:;">
                <b class="font-semibold">Võ Minh Nhất</b>
              </a>
              <b class="font-semibold">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body rounded-lg p-3 mb-2">
              <a href="javascript:;">
                <b class="font-semibold">Võ Minh Nhất</b>
              </a>
              <b class="font-semibold">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body rounded-lg p-3 mb-2">
              <a href="javascript:;">
                <b class="font-semibold">Võ Minh Nhất</b>
              </a>
              <b class="font-semibold">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body rounded-lg p-3 mb-2">
              <a href="javascript:;">
                <b class="font-semibold">Võ Minh Nhất</b>
              </a>
              <b class="font-semibold">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body rounded-lg p-3 mb-2">
              <a href="javascript:;">
                <b class="font-semibold">Võ Minh Nhất</b>
              </a>
              <b class="font-semibold">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <div class="sub_comment_item comment_item">
        <div class="flex space-x-3">
          <div class="user_status">
            <a href="javascript:;" class="avata_comment" target="_blank">
              <img src="/users/avatar-default-1.svg" alt="" />
            </a>
          </div>
          <div class="content-comment">
            <p class="full_content bg-body rounded-lg p-3 mb-2">
              <a href="javascript:;">
                <b class="font-semibold">Võ Minh Nhất</b>
              </a>
              <b class="font-semibold">@Nguyễn Đăng Linh</b>
              Tại mình nhìn em ấy đẹp quá vs lại thấy giới thiệu pin trâu mà giá
              chua quá
            </p>
            <p class="block_like_web flex items-center space-x-4 text-sm">
              <a href="javascript:;" class="flex items-center space-x-1">
                <span>82</span>
                <svg-icon
                  name="icon-like"
                  class="w-4 h-4 text-gray-100"
                ></svg-icon>
                <span class="font-medium text-sm text-dark-cyan">Hữu ích</span>
              </a>
            </p>
          </div>
        </div>
      </div>
      <a href="javascript:;" class="flex items-center space-x-2 ml-8 pl-5">
        <svg-icon name="icon-reply" class="w-4 h-4 text-gray-100"></svg-icon>
        <span class="font-medium text-sm text-dark-cyan">
          Xem thêm 18 trả lời
        </span>
      </a>
    </div>
  </div>
</template>
<script>
export default {
  name: 'CommentItem',
  props: {
    hassub: {
      type: Boolean,
      default: false
    }
  },
  data() {
    return {
      isShowsub: false
    }
  }
}
</script>

<style lang="scss">
.txt_comment {
  resize: none;
}
.avata_comment {
  display: inline-block;
  width: 39px;
}
.content-comment {
  max-width: 629px;
}
</style>
